FAQ
Hi,

following this<https://puppetlabs.com/blog/managing-f5-big-ip-network-devices-with-puppet/>tutorial, I finally made it till the part where I see the SSL cert request
from my f5 load balancer. Then I signed it and configured in nodes.pp the
same pool and irule as suggested in the tutorial.

BUT when I run on the proxy:

# puppet device --deviceconf /etc/puppet/device/f5.puppetlabs.lan.conf
--debug

I get this error:

*err: Could not retrieve local facts: Unknown method
"{urn:iControl:System/SystemInfo}:get_base_mac_address"*

Anyone know what could be wrong??
Thanks a lot!

--
You received this message because you are subscribed to the Google Groups "Puppet Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
To post to this group, send email to puppet-users@googlegroups.com.
Visit this group at http://groups.google.com/group/puppet-users?hl=en.
For more options, visit https://groups.google.com/groups/opt_out.

Search Discussions

  • MrTeleBird at Feb 6, 2013 at 4:05 pm
    Hi, well I think the problem is that there is no such method on my F5 load
    balancer. I verified directly on the webinterface of my BIG-IP:

    https://f5.puppetlabs.lan/iControl/iControlPortal.cgi?WSDL=System.SystemInfo


    For which F5 firmware version is this module supposed to work with??

    thanks

    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users?hl=en.
    For more options, visit https://groups.google.com/groups/opt_out.
  • Christopher Wood at Feb 6, 2013 at 4:26 pm
    If you look into the F5 ruby gem installed with the F5 puppet module, it contains the wsdl files for LTM 10. I'm running LTM 11 and have this method. It sounds like you may be running LTM 9?
    On Wed, Feb 06, 2013 at 08:05:53AM -0800, MrTeleBird wrote:
    Hi, well I think the problem is that there is no such method on my F5 load
    balancer. I verified directly on the webinterface of my BIG-IP:

    https://f5.puppetlabs.lan/iControl/iControlPortal.cgi?WSDL=System.SystemInfo

    For which F5 firmware version is this module supposed to work with??

    thanks

    --
    You received this message because you are subscribed to the Google Groups
    "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an
    email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at [1]http://groups.google.com/group/puppet-users?hl=en.
    For more options, visit [2]https://groups.google.com/groups/opt_out.



    References

    Visible links
    1. http://groups.google.com/group/puppet-users?hl=en
    2. https://groups.google.com/groups/opt_out
    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users?hl=en.
    For more options, visit https://groups.google.com/groups/opt_out.
  • MrTeleBird at Feb 7, 2013 at 7:18 am
    Hi Christopher!

    thanks for your reply. I am running LTM version BIG-IP 10.0.1 Build 283.0
    Fina. This is a bit strange, isn't it? I will try to uncomment those lines
    on the WSDLs and see if i can do what i am looking for. If yes, then I
    guess i should upgrade to LTM 11.

    Thanks for your help

    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users?hl=en.
    For more options, visit https://groups.google.com/groups/opt_out.
  • MrTeleBird at Feb 7, 2013 at 7:58 am
    I found this information from F5-devcentral's guys:

    *Versioning*

    Contained within the Gem is the iControl Ruby Library and the WSDLs<http://en.wikipedia.org/wiki/Web_Services_Description_Language>for the most recent iControl
    SDK <https://devcentral.f5.com/wiki/default.aspx/iControl/F5Downloads.html>(currently v10.2.0). In order to keep things consistent, the first three
    numbers in the version correspond iControl SDK version that provided the
    WSDLs. The next ‘a’ signifies that this is an ‘alpha’ release, which will
    be dropped in subsequent releases. Lastly, the final number signifies the
    build number supplied by our local repository. Eventually when we deem the
    library stable, the version number will look something like v11.2.1.678,
    meaning that this future release was built using WSDLs from the version
    11.2.1 iControl SDK and has a build number of 678.
    **

    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users?hl=en.
    For more options, visit https://groups.google.com/groups/opt_out.
  • MrTeleBird at Feb 7, 2013 at 2:22 pm
    Yes, the problem was version compatibility with my LTM. I upgrade to
    version 10.2.4 and voila, it works now!!

    Cheers

    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users?hl=en.
    For more options, visit https://groups.google.com/groups/opt_out.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppuppet-users @
categoriespuppet
postedFeb 6, '13 at 3:51p
activeFeb 7, '13 at 2:22p
posts6
users2
websitepuppetlabs.com

2 users in discussion

MrTeleBird: 5 posts Christopher Wood: 1 post

People

Translate

site design / logo © 2022 Grokbase